function setHypothesisFeel(applet){
    applet.setAxesVisible(false,false);
		applet.setErrorDialogsActive(false);
    for(a = 0; a < applet.getObjectNumber(); a++){
	    setHypothesisObjectFeel(applet.getObjectName(a));
	    
    }
}

function setUserConstructionFeel(applet){

	var newObj = applet.getObjectName(applet.getObjectNumber()-1);
	applet.setLabelVisible(newObj, true);
	applet.setLabelStyle(newObj, 3);
	applet.setLineStyle(newObj,3);
}


function setHypothesisObjectFeel(objectName){
			if(applet.getObjectType(objectName).indexOf("triangle")>=0){
		   applet.setLabelVisible(objectName, false);
		   applet.setLineStyle(objectName,2);
	    }else if(applet.getObjectType(objectName).indexOf("angle")>=0){
	    	applet.setLabelVisible(objectName, true);
				applet.setLabelStyle(objectName, 2);
				applet.setLineStyle(objectName,0);
    	}else{
        applet.setLabelVisible(objectName, true);
				applet.setLabelStyle(objectName, 3);
				applet.setLineStyle(objectName,0);
				 applet.setPointStyle(objectName,2);
			}
}



function color(r,b,g){
	this.r = r;
	this.b = b;
	this.g = g;	
}

	function objectiveObject(objName, visibleTime, unVisibleTime){
		this.objName = objName;
		this.visibleTime = visibleTime;
		this.unVisibleTime = unVisibleTime;
	}
	
	
	function setObjectiveVisible(obj){
	
		applet.setVisible(obj.objName,true);
		obj.visibleTime = setTimeout(function(){setObjectiveUnvisible(obj);}, 500);
	
	}
	
	function setObjectiveUnvisible(obj){
		applet.setVisible(obj.objName,false);
		obj.unVisibleTime = setTimeout(function(){setObjectiveVisible(obj);}, 500);
	}
	
	


function setObjectiveFeel(){
	  for(c = 0; c < objectiveObjName.length; c++){
	  	colorPallet[c]=new color((250-50*c)%255,(0+50*c)%255,(50+50*c)%255); 
    }
	
		var objName = objectiveObjName;
		for(j=0;j<objName.length;j++){
			
			//set feel of the objective object
			applet.setColor(objName[j],colorPallet[j].r,colorPallet[j].b,colorPallet[j].g);
		  applet.setLabelVisible(objName[j], true);
			applet.setLabelStyle(objName[j], 3);
			//if(applet.getObjectType(objName[j]).indexOf("segment")>=0 || applet.getObjectType(objName[j]).indexOf("line")>=0){
			//applet.setThickness(objName[j],3);
			applet.setLineStyle(objName[j],2);	

			
			
			//timing
			var visibleTime = new Array();
			var unVisibleTime = new Array();
			objectiveTiming[j] = new objectiveObject(objName[j], visibleTime[j], unVisibleTime[j]);
			setObjectiveVisible(objectiveTiming[j]);
		}
	
	
}